Skip to content

Get ancestor chain and root activity for a reply

GET
/replies/{replyId}/deep-link-info
curl --request GET \
--url https://api.ethos.network/api/v2/replies/1/deep-link-info

Returns the ancestor reply IDs needed to deep link to a specific reply.

replyId
required
integer
<= 2147483647

Successful response

Media typeapplication/json
object
ancestorIds
required
Array<number>

Example generated

{
"ancestorIds": [
1
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}